# class SISReqRecord

Information about an application that must be installed prior to the current one. More...

Definition | `#include <sisreqrecord.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SisRC fillFrom (uint8_t* buf, int* base, off_t len, SISFile* sisFile)

#### Public Members

- uint32_t m_uid
- uint16_t m_major
- uint16_t m_minor
- uint32_t m_variant
- uint32_t* m_nameLengths
- uint32_t* m_namePtrs

## Detailed Description

Information about an application that must be installed prior to the current one.

SisRC fillFrom (uint8_t* buf, int* base, off_t len, SISFile* sisFile)

### fillFrom

Populate the fields.

Parameters:

buf | The buffer to read from.
base | The index to start reading from, which is updated when the record is successfully read.
len | The length of the buffer.
sisFile | The container SISFile.

uint32_t m_uid

### m_uid

uint16_t m_major

### m_major

uint16_t m_minor

### m_minor

uint32_t m_variant

### m_variant

uint32_t* m_nameLengths

### m_nameLengths

uint32_t* m_namePtrs

### m_namePtrs

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.